<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_d0845bff5cd0ddb5ed1d7bd9db9" . "96f51" => base64_decode("c291cmN" . "l"), "_2e858fb197333" . "7f53ff85c104fc" . "b38f4" => base64_decode("cHVib" . "GlzaG" . "Vk"), "_32155ccb342f" . "199043093041c" . "1b3bb57" => base64_decode("ZnJvbV9" . "mb2xkZX" . "JfaWQ="), "_4c760fb0" . "2a49c5550" . "9ba087b84" . "fbda45" => base64_decode("ZHJhZnQ" . "="), "_939c6a45ff74323dbef487ed157" . "53a7c" => base64_decode("c3RhdGU" . "="), "_80e7ee43fdf838101a2303a" . "7b4a50efc" => base64_decode("dG9fZm9sZG" . "VyX2lk"), "t" . "y" . "p" . "e" => base64_decode("dHlwZ" . "Q=="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_939c6a45ff74323dbef487ed15753a7" . "c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_939c6a45ff74323dbef487e" . "d15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4c760fb02a49c55509ba087b84fb" . "da45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2e858fb1973337f53ff85" . "c104fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["typ" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d0845bff5cd0ddb5" . "ed1d7bd9db996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_32155ccb342f199043093041c1b" . "3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_80e7ee43fdf838101a23" . "03a7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}